package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum UserAuthentication {
	UN_AUTHENTICATION(0,"未认证"),
	AUTHENTICATION(1,"已认证");

	private UserAuthentication(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, UserAuthentication> status = new HashMap<Integer, UserAuthentication>();

	static {
		for (UserAuthentication value : UserAuthentication.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static UserAuthentication getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return UN_AUTHENTICATION;
	}

	public static UserAuthentication getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return UN_AUTHENTICATION;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}
}
